Service Management
All operations require authentication.
List Enterprise File Storage servicesProduction
Query parameters
Filter resources on IAM tags
Response
Service creation date
IAM resource metadata
Service ID
Service name
Service performance level
premiumProduct name
Service quota in GiB
Service region
ca-east-bhseu-west-graeu-west-limeu-west-rbxeu-west-sbgus-east-vinService status
creatingdeleteddeletingreopeningrunningsuspendedsuspendingupdatingReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performanceLevel": "premium", "product": "string", "quota": 0, "region": "ca-east-bhs", "status": "creating" }]
Get an Enterprise File Storage serviceProduction
Returns the service, including its region, performance level, quota and status.
Path parameters
Service name
Response
Service creation date
IAM resource metadata
Service ID
Service name
Service performance level
premiumProduct name
Service quota in GiB
Service region
ca-east-bhseu-west-graeu-west-limeu-west-rbxeu-west-sbgus-east-vinService status
creatingdeleteddeletingreopeningrunningsuspendedsuspendingupdatingExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performanceLevel": "premium", "product": "string", "quota": 0, "region": "ca-east-bhs", "status": "creating"}
List upgrade and downgrade optionsBeta
Returns the product offers this service can change to (upgrade or downgrade), including plan code, quota, performance level, and the constraints that apply to the change.
Path parameters
Service name
Response
Product downgrade option
Product upgrade option
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName}/ productUpdateOptions \
-H "authorization: Bearer $OVH_TOKEN"{ "downgradeOptions": [ { "constraints": { "instantUpgrade": true }, "performanceLevel": "premium", "planCode": "string", "productName": "string", "quota": 0 } ], "upgradeOptions": [ { "constraints": { "instantUpgrade": true }, "performanceLevel": "premium", "planCode": "string", "productName": "string", "quota": 0 } ]}
Get service informationProduction
Returns contacts, creation and expiration dates, and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Launch a contact change procedureProduction
Starts the change of the admin, tech or billing contact and returns the request IDs.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Ask for the termination of your serviceProduction
Emails a termination token to the admin contact, to use with Confirm service termination.
Path parameters
Service name
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm service terminationProduction
Confirms the termination with the emailed token and records your reason.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Update an Enterprise File Storage serviceProduction
Updates the service name, the only property that can be changed. The change applies immediately, whatever the service status.
Path parameters
Service name
Request body (required)
New service name. It must start with a letter and contain 2 to 64 letters, digits, spaces or the characters - _ / \
Response
Service creation date
Service ID
Service name
Service performance level
premiumProduct name
Service quota in GiB
Service region
ca-east-bhseu-west-graeu-west-limeu-west-rbxeu-west-sbgus-east-vinService status
creatingdeleteddeletingreopeningrunningsuspendedsuspendingupdatingExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performanceLevel": "premium", "product": "string", "quota": 0, "region": "ca-east-bhs", "status": "creating"}
Update service informationProduction
Changes how the service renews; renew is the only editable field.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ storage/ netapp/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"